# TransactionEntity

    public protocol TransactionEntity

convenience representation of all transaction types

- `id`

  Internal transaction id

  #### Declaration

  Swift

      var id: Int? { get set }

- `transactionId`

  Blockchain transaction id

  #### Declaration

  Swift

      var transactionId: Data { get set }

- `created`

  String representing the date of creation

  format is yyyy-MM-dd’T'HH:MM:ss.SSSSSSSSSZ

  - Example: 2019-12-04T17:49:10.636624000Z

  #### Declaration

  Swift

      var created: String? { get set }

- `transactionIndex`

  Undocumented

  #### Declaration

  Swift

      var transactionIndex: Int? { get set }

- `expiryHeight`

  Undocumented

  #### Declaration

  Swift

      var expiryHeight: BlockHeight? { get set }

- `minedHeight`

  Undocumented

  #### Declaration

  Swift

      var minedHeight: BlockHeight? { get set }

- `raw`

  Undocumented

  #### Declaration

  Swift

      var raw: Data? { get set }

- `hash(into:)` Extension method

  Undocumented

  #### Declaration

  Swift

      func hash(into hasher: inout Hasher)

- `==(_:_:)` Extension method

  Undocumented

  #### Declaration

  Swift

      static func == (lhs: Self, rhs: Self) -> Bool

- `anchor(network:)` Extension method

  Undocumented

  #### Declaration

  Swift

      func anchor(network: ZcashNetwork) -> BlockHeight?

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.